<?/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}

?>
<script type="text/javascript">
var numero = 0; //Esta es una variable de control para mantener nombres
            //diferentes de cada campo creado dinamicamente.
evento = function (evt) { //esta funcion nos devuelve el tipo de evento disparado
   return (!evt) ? event : evt;
}

//Aqui se hace lamagia... jejeje, esta funcion crea dinamicamente los nuevos campos file
addCampo = function () { 
//Creamos un nuevo div para que contenga el nuevo campo
   nDiv = document.createElement('div');
//con esto se establece la clase de la div
   nDiv.className = 'archivo';
//este es el id de la div, aqui la utilidad de la variable numero
//nos permite darle un id unico
   nDiv.id = 'file' + (++numero);
//creamos el input para el formulario:
   nCampo = document.createElement('input');
//le damos un nombre, es importante que lo nombren como vector, pues todos los campos
//compartiran el nombre en un arreglo, asi es mas facil procesar posteriormente con php
   nCampo.name = 'archivos[]';
//Establecemos el tipo de campo
   nCampo.type = 'file';
//Ahora creamos un link para poder eliminar un campo que ya no deseemos
   a = document.createElement('a');
//El link debe tener el mismo nombre de la div padre, para efectos de localizarla y eliminarla
   a.name = nDiv.id;
//Este link no debe ir a ningun lado
   a.href = '#';
//Establecemos que dispare esta funcion en click
   a.onclick = elimCamp;
//Con esto ponemos el texto del link
   a.innerHTML = 'Eliminar';
//Bien es el momento de integrar lo que hemos creado al documento,
//primero usamos la función appendChild para adicionar el campo file nuevo
   nDiv.appendChild(nCampo);
//Adicionamos el Link
   nDiv.appendChild(a);
//Ahora si recuerdan, en el html hay una div cuyo id es 'adjuntos', bien
//con esta función obtenemos una referencia a ella para usar de nuevo appendChild
//y adicionar la div que hemos creado, la cual contiene el campo file con su link de eliminación:
   container = document.getElementById('adjuntos');
   container.appendChild(nDiv);
}
//con esta función eliminamos el campo cuyo link de eliminación sea presionado
elimCamp = function (evt){
   evt = evento(evt);
   nCampo = rObj(evt);
   div = document.getElementById(nCampo.name);
   div.parentNode.removeChild(div);
}
//con esta función recuperamos una instancia del objeto que disparo el evento
rObj = function (evt) { 
   return evt.srcElement ?  evt.srcElement : evt.target;
}
</script>
<script type="text/javascript">
function abrirU(url,b,mensaje)
{
	//window.open(url,"Location=1");
	if(b != 'elimina')
	{
		if(b == 'b3')
		{
			window.top.location.href = url;
		}
		else if(b == 'regresa')
		{
			window.top.location.href = url;
		}
		else if(b == 'reporte')
		{
			if(arch=prompt("De el Nombre del Archivo",mensaje))
			window.top.location.href = url+"?archivo="+arch+"&tipo=txt";
		}
	
	}
	else if(confirm(mensaje))
		{
			window.top.location.href = url;
		}
		else
		return false;
}
</script>
<form name="formu" id="formu" method="post" enctype="multipart/form-data" action="admin.php?seccion=15&menu=2" onsubmit="return validar('fileInput','','','','','','','','','','','','','','');">
  <table width="598" border="0" align="center" cellpadding="3" cellspacing="3" class="td_general">
    <tr>
      <td align="left" class="txt_titulos">Cargar archivos 
	  <a href="" class="tt"><img src="Imagenes/Help.png" width="20" height="18"><span class="tooltip" align="left"><span class="top"></span><span class="middle">
		<font color="#999999" size="-1">Debera de subir por pares de archivos y con mismo nombre<br>Ejemplo:<br><br>Primer par: A1.xml,A1.pdf<br><br>Segundo par: A2.xml,A2.pdf</font>
		</span><span class="bottom"></span></span></a>
	  </td>
    </tr>
    <tr>
   
      <td width="78" align="left" class="tx_menu">Archivo
		<div id="adjuntos">
			<input type="file" name="archivos[]" /><br />
		</div>
		<a href="#" onClick="addCampo()">Subir otro archivo</a>
	  </td>
    </tr>
    <tr>
      <td width="383" align="left">
		<input type="submit" name="cargarArchivo" id="cargarArchivo" value="CARGAR" class="estilo_btn"/>
		<!--<input type="Button" onClick="abrirU('admin.php?seccion=6&menu=2','b3','')" name="REGRESAR" value="REGRESAR" class="estilo_btn"/>-->
	  </td>
    </tr>
  </table>
</form>